Skip to content

getPurchaseInvoice

READ

Get purchase invoice.

POST /api/v1/invoicing/getPurchaseInvoice
curl -X POST '<your-host>/api/v1/invoicing/getPurchaseInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseInvoiceId": "string"
  }'
Response
{
  "assignee": "string",
  "balance": 0,
  "baseStatus": "Open",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customFields": "…",
  "dateDue": "string",
  "dateIssued": "string",
  "datePaid": "string",
  "exchangeRate": 0,
  "exchangeRateUpdatedAt": "string",
  "id": "string",
  "internalNotes": "…",
  "invoiceId": "string",
  "invoiceSupplierContactId": "string",
  "invoiceSupplierId": "string",
  "invoiceSupplierLocationId": "string",
  "itemType": "Part",
  "locationId": "string",
  "orderTotal": 0,
  "paymentTermId": "string",
  "paymentTermName": "string",
  "postingDate": "string",
  "status": "string",
  "subtotal": 0,
  "supplierId": "string",
  "supplierInteractionId": "string",
  "supplierReference": "string",
  "thumbnailPath": "string",
  "totalAmount": 0,
  "totalDiscount": 0,
  "totalTax": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseInvoiceId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseInvoiceId"
  ]
}